Page MenuHomePhabricator

Make Special:IndexPages transcludable and with parameters
Closed, ResolvedPublic

Description

Within MW, it is possible to transclude Special pages, especially with piped parameters, to present targetted data, eg. {{Special:prefixindex}}.

Special:IndexPages is a special page that would also suit this sort of functionality. For example, I would like to transclude
{{special:indexpages|key=eminent scotsmen|order=quality}}

https://en.wikisource.org/w/index.php?title=Special%3AIndexPages&limit=500&key=Eminent+Scotsmen&order=quality

and at this time, such an approach just createsa link.~~~~

Event Timeline

Billinghurst raised the priority of this task from to Needs Triage.
Billinghurst updated the task description. (Show Details)
Billinghurst added a subscriber: Billinghurst.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2015, 8:17 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 5 2015, 7:57 PM

Change 323372 had a related patch set uploaded (by Samwilson):
Make Special:IndexPages transcludable and with parameters

https://gerrit.wikimedia.org/r/323372

Change 323372 merged by jenkins-bot:
Make Special:IndexPages transcludable and with parameters

https://gerrit.wikimedia.org/r/323372

Samwilson moved this task from Backlog to In progress on the ProofreadPage board.Nov 24 2016, 11:26 PM
Samwilson closed this task as Resolved.Dec 2 2016, 5:29 AM